Subject: Viking cooking

From: [email-masked] (Katrine Kirk)
Date: 31 Jan 1995 18:52:00 GMT

I just want to say to the people who emailed me about the viking
cooking information that I am still waiting for material from the
Danish National Museum. I've made a note of who you are (maddie,
jbwells, Paer) and will email you directly + post here when I 
know more. *sigh* It's very annoying. I called them today and
they promised to deliver soon. 

Katrine Kirk
[email-masked]